namespace Tiobon.Core.Api.Controllers;

/// <summary>
/// Ghre_TeacherAttachment(Controller)
/// </summary>
[Route("api/[controller]")]
[ApiController, GlobalActionFilter]
[Authorize(Permissions.Name), ApiExplorerSettings(GroupName = Grouping.GroupName_Ghre)]
public class Ghre_TeacherAttachmentController : BaseController<IGhre_TeacherAttachmentServices, Ghre_TeacherAttachment, Ghre_TeacherAttachmentDto, InsertGhre_TeacherAttachmentInput, EditGhre_TeacherAttachmentInput>
{
    public Ghre_TeacherAttachmentController(IGhre_TeacherAttachmentServices service) : base(service)
    {
    }
}